JBOVERDRIVE(1)

NAME
jboverdrive - The B Preamp/Overdrive Emulator

SYNOPSIS
jboverdrive [ OPTIONS ]

DESCRIPTION
jboverdrive - the B Preamp/Overdrive Emulator

Utility to write audio peak data to stdout of file as plain text of JSON data.

OPTIONS

-h, --help
    Print help text

-i, --input <portname>
    Connect to JACK input port

-o, --output <portname>
    Connect output to given JACK port

-p, --parameter <key=value>
    Specify initial effect parameter

-V, --version
    Print version information

Effect parameters are all float values 0..1. Available keys and their default values are as follows:

gainin:
    Input Gain = 0.3567

bias:
    Bias = 0.87399

feedback:
    Feedback = 0.5821

sagtobias:
    Sag to Bias = 0.1880

postfeed:
    Postdiff Feedback = 1.0

globfeed:
    Global Feedback = 0.5826

gainout:
    Output Gain = 0.07873

EXAMPLES
jboverdrive -i system:capture_1 -o system:playback_1 -p bias=.5 -p feedback=0.9

jboverdrive -i system:capture_1 -o system:playback_1 -O 1234

oscsend localhost 1234 /boverdrive/bias f 0.9

oscsend localhost 1234 /boverdrive/gainout f 0.3

oscsend localhost 1234 /boverdrive/quit

REPORTING BUGS
Report bugs to <robin@gareus.org>.
Website and manual: <https://github.com/x42/setbfree>

COPYRIGHT
Copyright © 2003-2004 Fredrik Kilander <fk@dsv.su.se>
Copyright © 2012 Robin Gareus <robin@gareus.org>

This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.